Loading...
Searching...
No Matches
PurpleValue Struct Reference

A wrapper for a type, subtype, and specific type of value. More...

`#include <value.h>`

## Data Fields

PurpleType | type
unsigned short | flags
union { |
char char_data |
unsigned char uchar_data |
gboolean boolean_data |
short short_data |
unsigned short ushort_data |
int int_data |
unsigned int uint_data |
long long_data |
unsigned long ulong_data |
gint64 int64_data |
guint64 uint64_data |
char * string_data |
void * object_data |
void * pointer_data |
int enum_data |
void * boxed_data |
} | data
union { |
unsigned int subtype |
char * specific_type |
} | u

## Detailed Description

A wrapper for a type, subtype, and specific type of value.

Definition at line 89 of file value.h.

## Field Documentation

## boolean_data

gboolean PurpleValue::boolean_data

Definition at line 98 of file value.h.

## boxed_data

void* PurpleValue::boxed_data

Definition at line 111 of file value.h.

## char_data

char PurpleValue::char_data

Definition at line 96 of file value.h.

## enum_data

int PurpleValue::enum_data

Definition at line 110 of file value.h.

## flags

unsigned short PurpleValue::flags

Definition at line 92 of file value.h.

## int64_data

gint64 PurpleValue::int64_data

Definition at line 105 of file value.h.

## int_data

int PurpleValue::int_data

Definition at line 101 of file value.h.

## long_data

long PurpleValue::long_data

Definition at line 103 of file value.h.

## object_data

void* PurpleValue::object_data

Definition at line 108 of file value.h.

## pointer_data

void* PurpleValue::pointer_data

Definition at line 109 of file value.h.

## short_data

short PurpleValue::short_data

Definition at line 99 of file value.h.

## specific_type

char* PurpleValue::specific_type

Definition at line 118 of file value.h.

## string_data

char* PurpleValue::string_data

Definition at line 107 of file value.h.

## subtype

unsigned int PurpleValue::subtype

Definition at line 117 of file value.h.

## type

PurpleType PurpleValue::type

Definition at line 91 of file value.h.

## uchar_data

unsigned char PurpleValue::uchar_data

Definition at line 97 of file value.h.

## uint64_data

guint64 PurpleValue::uint64_data

Definition at line 106 of file value.h.

## uint_data

unsigned int PurpleValue::uint_data

Definition at line 102 of file value.h.

## ulong_data

unsigned long PurpleValue::ulong_data

Definition at line 104 of file value.h.

## ushort_data

unsigned short PurpleValue::ushort_data

Definition at line 100 of file value.h.

The documentation for this struct was generated from the following file:

- value.h